%define Werror_cflags	%{nil} 
%define _ssp_cflags	%{nil}
%define	cflags	%{optflags}

Summary:	Multi-call binary combining many common Unix tools into one executable
Name:		busybox
Version:	1.23.1
Release:	%mkrel 1
License:	GPLv2
Group:		Shells
URL:		http://www.busybox.net/
Source0:	http://www.busybox.net/downloads/%{name}-%{version}.tar.xz
Source2:	busybox-1.15.2-config
Source3:	busybox-1.17.2-minimal-config
Patch1:		busybox-i.15.2-no-march_i386.patch
Patch12:	busybox-1.2.2-ls.patch
#Patch16:	busybox-1.10.1-hwclock.patch
Patch17:	busybox-1.19.3-use-Os.diff
BuildRequires:	gcc
BuildRequires:	glibc-static-devel


%description
BusyBox combines tiny versions of many common UNIX utilities into a
single small executable. It provides minimalist replacements for most
of the utilities you usually find in GNU coreutils, shellutils, etc.
The utilities in BusyBox generally have fewer options than their
full-featured GNU cousins; however, the options that are included provide
the expected functionality and behave very much like their GNU counterparts.
BusyBox provides a fairly complete POSIX environment for any small or
embedded system.

BusyBox has been written with size-optimization and limited resources in
mind. It is also extremely modular so you can easily include or exclude
commands (or features) at compile time. This makes it easy to customize
your embedded systems. To create a working system, just add /dev, /etc,
and a kernel.

%prep
%setup -q
%patch1 -b .no_march~ -p1
%patch12 -b .ls~ -p1
#%patch16 -b .ia64~ -p1
%patch17 -b .Os~ -p1

%build
cat %{SOURCE2} |sed \
	-e 's|^.*CONFIG_EXTRA_CFLAGS.*$|CONFIG_EXTRA_CFLAGS="%{cflags} -fno-strict-aliasing"|g' \
	> .config
yes "" | %make oldconfig V=1
%make CC=%{__cc} LDFLAGS="%{ldflags}" V=1
mv busybox_unstripped busybox.full.static



%check
# FIXME
%if 0
%make CC=%{__cc} V=1 check
%endif

%install
rm -rf %{buildroot}
install -m755 busybox.full.static -D %{buildroot}/usr/bin/busybox

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/busybox


%changelog
* Sat Feb 07 2015 bb <bb> 1.23.1-1pclos2015
- update

* Sat Apr 05 2014 bb <bb> 1.22.1-1pclos2014
- update
